"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Banner = void 0;
const react_1 = __importStar(require("react"));
const banner_1 = require("../data/banner");
const segmentEvents_1 = require("../data/segmentEvents");
const react_native_1 = require("react-native");
const react_native_flash_message_1 = require("react-native-flash-message");
const color_1 = require("../data/color");
const Item_1 = require("../component/Banner/Item");
const context_1 = require("../context/context");
const Banner = ({ onClose, onPress, }) => {
    const [detail, setDetail] = (0, react_1.useState)();
    const { EMAIL, userDetail } = (0, context_1.useLMS)();
    const status = (0, react_1.useMemo)(() => {
        let contractUrl, contractValid, reason;
        if (detail) {
            contractUrl = detail.kyb?.facilities.filter((d) => d.status === "contract_pending")[0]?.envelope_url;
            contractValid = detail.kyb?.facilities.filter((d) => d.status === "contract_valid");
            reason = detail.kyb?.statuses?.filter((d) => d.status === "rejected");
        }
        return {
            contractUrl,
            contractValid,
            reason: reason && reason.length > 0 ? reason[0].reason : "",
        };
    }, [detail]);
    (0, react_1.useEffect)(() => {
        if (!EMAIL) {
            (0, react_native_flash_message_1.showMessage)({ message: "Email is required", type: "danger" });
        }
        else {
            setDetail(userDetail);
        }
    }, [EMAIL, userDetail]);
    return (react_1.default.createElement(react_native_1.View, { style: styles.container }, detail && (react_1.default.createElement(react_native_1.View, null,
        !detail.kyb && (react_1.default.createElement(Item_1.RenderBanner, { data: (0, banner_1.BANNER_DATA)().REGISTER, color: color_1.COLOR.info, onPress: onPress, onClose: onClose, contractUrl: status.contractUrl })),
        detail?.kyb && detail.kyb?.status === "pending" && (react_1.default.createElement(Item_1.RenderBanner, { data: (0, banner_1.BANNER_DATA)().PENDING, color: color_1.COLOR.warning, onPress: onPress, onClose: onClose, contractUrl: status.contractUrl })),
        detail.kyb &&
            detail.kyb.status === "approved" &&
            status.contractValid?.length === 0 && (react_1.default.createElement(Item_1.RenderBanner, { data: (0, banner_1.BANNER_DATA)(undefined, !status.contractUrl
                ? "You will receive contract soon"
                : "Review and sign contract").APPROVED, color: color_1.COLOR.info, disabled: !status.contractUrl, event: segmentEvents_1.SEGMENT_EVENTS.CLICK_SIGN_CONTRACT, onPress: onPress, onClose: onClose, contractUrl: status.contractUrl })),
        detail.kyb && detail.kyb.status === "rejected" && (react_1.default.createElement(Item_1.RenderBanner, { data: (0, banner_1.BANNER_DATA)(status?.reason).REJECTED, color: color_1.COLOR.error, event: segmentEvents_1.SEGMENT_EVENTS.CLICK_KYC_REGISTRATION, onPress: onPress, onClose: onClose, contractUrl: status.contractUrl }))))));
};
exports.Banner = Banner;
const styles = {
    container: {
        flexDirection: "column",
        border: "1px solid red",
        flex: 1,
        height: 400,
        minHeight: 400,
    },
    financeContainer: {
        display: "flex",
        flexDirection: "row",
        width: "100%",
        padding: 12,
        flexWrap: "nowrap",
        alignItems: "center",
        justifyContent: "space-between",
        marginBottom: 5,
    },
    buttonWrapper: {
        display: "flex",
        flexDirection: "row",
    },
    gap: {
        width: 8,
        height: 8,
    },
    wrapper: {
        flexDirection: "column",
    },
    flexRow: {
        display: "flex",
        flexDirection: "row",
    },
    flexCol: {
        display: "flex",
        flexDirection: "column",
    },
};
