"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RenderBanner = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_paper_1 = require("react-native-paper");
const segment_1 = __importDefault(require("../../utils/segment"));
const RenderBanner = ({ data, color, disabled, event, onClose, onPress, contractUrl, }) => {
    return (react_1.default.createElement(react_native_1.View, { style: {
            ...styles.financeContainer,
            backgroundColor: color,
        } },
        react_1.default.createElement(react_native_1.View, { style: styles.wrapper },
            react_1.default.createElement(react_native_paper_1.Text, null, data.title),
            react_1.default.createElement(react_native_paper_1.Text, null, data.description),
            react_1.default.createElement(react_native_1.View, { style: styles.flexCol }, data.actionTitle && (react_1.default.createElement(react_native_paper_1.Button, { disabled: disabled, mode: "contained", onPress: () => {
                    onPress?.({
                        type: data.type,
                        contractUrl: contractUrl || "",
                    });
                } }, data ? data.actionTitle : "")))),
        react_1.default.createElement(react_native_1.View, { style: {
                ...styles.flexRow,
                alignSelf: "flex-start",
                alignItems: "flex-start",
            } },
            data.actionTitle && (react_1.default.createElement(react_native_paper_1.Button, { mode: "contained", disabled: disabled, onPress: () => {
                    if (event) {
                        segment_1.default.track(event);
                    }
                    onPress?.({
                        type: data.type,
                        contractUrl: contractUrl || "",
                    });
                } }, data.actionTitle)),
            react_1.default.createElement(react_native_1.TouchableOpacity, { onPress: () => {
                    onClose?.();
                } }))));
};
exports.RenderBanner = RenderBanner;
const styles = {
    container: {
        flexDirection: "column",
        border: "1px solid red",
        flex: 1,
        height: 400,
        minHeight: 400,
    },
    financeContainer: {
        display: "flex",
        flexDirection: "row",
        width: "100%",
        padding: 12,
        flexWrap: "nowrap",
        alignItems: "center",
        justifyContent: "space-between",
        marginBottom: 5,
    },
    buttonWrapper: {
        display: "flex",
        flexDirection: "row",
    },
    gap: {
        width: 8,
        height: 8,
    },
    wrapper: {
        flexDirection: "column",
    },
    flexRow: {
        display: "flex",
        flexDirection: "row",
    },
    flexCol: {
        display: "flex",
        flexDirection: "column",
    },
};
